
///////////////////////////////////////////////////////////////
//                                                           //
//  map1.hpp    stores key-value associations in the map     //
//  v1.0         with special access functions, near match   //
//                                                           //
//                                                           //
//  Language:     Borland C++,Version 3.1                    //
//  Platform:                                                //
//                MS-DOS 6.2, Windows 95 v4.400.950          //
//  Application:  CSE 687  Pr3 tutor                         //
//  Author:       Mehmet SEN, CIS Grad Student at SU         //
//                (315) 443-2142, msen@top.cis.syr.edu       //
//                                                           //
//                    copyright (c) 1996                     //
//    all rights granted to users except right to publish    //
//                                                           //
///////////////////////////////////////////////////////////////
#include "map1.hpp"
#ifdef TEST_MAP1
// test the map class by using string classes
void derived_map1_test()
{
  map1<cmpStr,int> grades("mehmet",100);     // construct a new map

  cout << "Map,grades, contains following associations: "<<endl;
  grades.insert("Mustafa",95);
  grades.insert("Haci Ali",94);
  grades.insert("Dr.Fawcett",99);
  grades.insert("mr.pan",90);
  grades.insert("ozgur",97);
  grades.insert("murat",92);
  grades.insert("James",96);
  grades.insert("veronica",93);
  grades.dump(cout);                        //assignments

  cout <<endl<<endl<< "NEXT:Map look-ups as following "<<endl
       << "	grades['pan']     ==> "  <<grades["pan"]    <<endl
       << "	grades['mustaca'] ==> " <<grades["mustaca"]  <<endl
       << "	grades['veranika']==> "<<grades["veranika"] <<endl
       << "	grades['Haci']    ==> "<<grades["Haci"] <<endl
       << "	grades['haci']    ==> "<<grades["haci"] <<endl
       << "	grades['DR. FAWCETT']    ==> "<<grades["DR. FAWCETT"] <<endl;
}
/////////////////////////////////////////////////////////////
// Test stub for the derived class map1
/////////////////////////////////////////////////////////////
void main() {
	derived_map1_test();
	cout << "\nEnd of the test stub!"<<endl;

}

#endif // TEST_MAP1